org.apache.cassandra.service

## Class QueryState

- java.lang.Object
- - org.apache.cassandra.service.QueryState

    public class QueryState
    extends java.lang.Object

Represents the state related to a given query.

### Constructor Summary

Constructors
Constructor and Description
`QueryState(ClientState clientState)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createTracingSession()`
`static QueryState` `forInternalCalls()`
`java.net.InetAddress` `getClientAddress()`
`ClientState` `getClientState()`
`long` `getTimestamp()` This clock guarantees that updates for the same QueryState will be ordered in the sequence seen, even if multiple updates happen in the same millisecond.
`void` `prepareTracingSession(java.util.UUID sessionId)`
`boolean` `traceNextQuery()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryState

    public QueryState(ClientState clientState)

### Method Detail

#### forInternalCalls

    public static QueryState forInternalCalls()

Returns:
  a QueryState object for internal C* calls (not limited by any kind of auth).

#### getClientState

    public ClientState getClientState()

#### getTimestamp

    public long getTimestamp()

This clock guarantees that updates for the same QueryState will be ordered in the sequence seen, even if multiple updates happen in the same millisecond.

#### traceNextQuery

    public boolean traceNextQuery()

#### prepareTracingSession

    public void prepareTracingSession(java.util.UUID sessionId)

#### createTracingSession

    public void createTracingSession()

#### getClientAddress

    public java.net.InetAddress getClientAddress()